=== debian/changelog ===
lilyterm (0.8.5-1) unstable; urgency=low

  * Initial release

 -- Lu, Chao-Ming (Tetralet) <tetralet@luna.com.tw>  Wed, 12 Mar 2008 00:14:27 +0800
