=== debian/control ===
Source: lilyterm
Section: x11
Priority: extra
Maintainer: Lu, Chao-Ming (Tetralet) <tetralet@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev (>= 2.6), libvte-dev, gettext, libxml-parser-perl
Standards-Version: 3.7.2
Homepage: http://lily.luna.com.tw

Package: lilyterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: a tiny libvte based x-terminal-emulator
 lilyterm is a tiny and easy to use libvte based x-terminal-emulator.
   * drag and drop multi tab
   * transparent background and background_saturation
   * foreground_color and background_color
   * full support for UTF-8. (based on libvte and libgtk2)
   * use the system locale encoding
   * switching encoding by right click
   * a dirty patch for Chinese IMs.
   * configure file: ~/.config/lilyterm.rc
